cern.jet.random

## Class AbstractDiscreteDistribution

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.jet.random.AbstractDistribution
    - - cern.jet.random.AbstractDiscreteDistribution

- All Implemented Interfaces:
    DoubleFunction, IntFunction, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    Binomial, EmpiricalWalker, HyperGeometric, NegativeBinomial, Poisson, PoissonSlow, Zeta

      public abstract class AbstractDiscreteDistribution
      extends AbstractDistribution

  Abstract base class for all discrete distributions.
  Version:
    1.0, 09/24/99
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cern.colt.PersistentObject

      `serialVersionUID`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `nextDouble()` Returns a random number from the distribution; returns `(double) nextInt()`.
    `abstract int` | `nextInt()` Returns a random number from the distribution.

    - ### Methods inherited from class cern.jet.random.AbstractDistribution

      `apply, apply, clone, makeDefaultGenerator`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nextDouble

          public double nextDouble()

      Returns a random number from the distribution; returns `(double) nextInt()`.
      Specified by:
        `nextDouble` in class `AbstractDistribution`

    - #### nextInt

          public abstract int nextInt()

      Returns a random number from the distribution.
      Overrides:
        `nextInt` in class `AbstractDistribution`

Jump to the Colt Homepage